<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsDataGet.php';
$pageVersion	= '2.01 2013-01-31';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-----------------------------------------------------------------------------------------
# version 2.01 2013-01-31
#
#
#  to do: document, different weatherprograms, user changes various uom's
#-----------------------------------------------------------------------------------------
$uomTemp	=$SITE['uomTemp'];
$uomBaro	=$SITE['uomBaro'];
$uomRain	=$SITE['uomRain'];
$uomWind	=$SITE['uomWind'];
$uomPerHour	=$SITE['uomPerHour'];
#---------------------------------------get current weather values and yesterday values --
echo '<!-- loading '.$SITE['wsTags'].' -->'.PHP_EOL;
include($SITE['wsTags']);				// current weatherdata
if (isset ($SITE['wsYTags'])  && $SITE['wsYTags']  <> '') {
	echo '<!-- loading '.$SITE['wsYTags'].' -->'.PHP_EOL;
	include($SITE['wsYTags']);    		// yesterday values 
}
$now		=date("H:i",time());
if (isset ($ws['sunrise']) ){
	$sunrise	= $ws['sunrise'];
	$sunset		= $ws['sunset'];
} else {
	$lat		= $SITE['latitude'];
	$long		= $SITE['longitude'];
	$sunrise	= date_sunrise($now, SUNFUNCS_RET_TIMESTAMP, $lat, $long);   // standard time integer
	$sunset 	= date_sunset ($now, SUNFUNCS_RET_TIMESTAMP, $lat, $long);
}
if (($now >= $sunrise) && ($now <= $sunset)) {
	$dayNight = 'daylight';
} else {
	$dayNight = 'nighttime';				
	}
if ($wsDebug) { echo "<!-- wsDataGet.php it is  $dayNight now; sunrise at $sunrise  sunset at  $sunset -->".PHP_EOL;}

include_once ('wsIconUrl.php');
#---------------------- and now get the current conditions from some source --------------
if ($wsDebug) { echo '<!-- wsDataGet.php $SITE["curCondFrom"] = '.$SITE['curCondFrom'].'  -->'.PHP_EOL;}
#
if (!isset ($SITE['curCondFrom'])) {$SITE['curCondFrom'] = 'metar';}	// default metar curcond
#
switch ($SITE['curCondFrom']) {	
	case 'yahoo':
						// cur cond fro myahoo
	include_once('forecasts/yahoo.weather.php');
	$weather 	= new yahooWeather();
	$yahooArray	= $weather->getWeatherData($SITE['yaPlaceID']);
	$condDesc   = cleanCurCond($yahooArray['ccn']['1']['text']);
	$ccnIconNr	= $iconIn 	= $yahooArray['ccn']['1']['icon'];
	$ccnIconUrl	= $urlIn	= $yahooArray['ccn']['1']['iconUrl'];
	wsChangeIcon ('yahoo',$iconIn, $ccnIconNr, $urlIn, $ccnIconUrl);		
	$headerClass= wsHeaderLookup ('yahoo',$iconIn);
	break;
	case 'wd':
	$condDesc   = cleanCurCond($ws['wdCurCond']);
	$ccnIconNr	= $ccnIconUrl = $urlIn	= $notUsed	= '';
	wsChangeIcon ('wd',$ws['wdCurIcon'], $ccnIconNr, $urlIn, $ccnIconUrl);
	$headerClass= wsHeaderLookup ('wd',$ws['wdCurIcon']);	
	break;
	case 'metar':
	include_once ('wsMetarXml.php');
	$end		= count ($arrConditions);
	$condDesc   = '';
	for ($i = 0; $i < $end; $i++) {
		$condDesc .= langtransstr($arrConditions[$i]['txt']).'<br />';
	}
	if ($coverDescription == 'Clear' && $dayNight <> 'nighttime') {$coverDescription = 'sunny';}
	$condDesc  .= langtransstr($coverDescription);
	if ($dayNight == 'nighttime') {$iconNrPr .='n';}
	$icon		= $iconNrPr;
	wsChangeIcon ('default',$icon, $icon, '', $ccnIconUrl);
	$ccnIconNr = $iconNrPr;
	$headerClass= wsHeaderLookup ('default',$iconNrPr);	
	break;
}
return;
#-----------------------------------------------------------------------------------------
function cleanCurCond($words) {
	$arrTxt=explode ('/',$words);		// AM Light Snow/ Drizzle late
	$cndTxt='';
	$iEnd=count($arrTxt)-1;
	for ($i2=0;$i2<=$iEnd;$i2++)
	{
		$text=$arrTxt[$i2];
		if ($text <> '') {
			if (substr($text,0,2) == 'AM') {
				$cndTxt.=langtransstr('Morning'). ': ';
				$text=substr($text,2);
			}
			if (substr($text,0,2) == 'PM') {
				$cndTxt.=langtransstr('Afternoon'). ': ';
				$text=substr($text,2);
			}
			if (substr($text,-5) == ' Late') {
				$cndTxt.=langtransstr('Late'). ': ';
				$text=substr($text,0,strlen($text)-5);
			}				
			if (substr($text,0,2) == 'PM') {
				$cndTxt.=langtransstr('Afternoon'). ': ';
				$text=substr($text,2);
			}			
			$cndTxt.=htmlentities(langtransstr($text));
			if ($iEnd > $i2) {$cndTxt.='<br />';}
		}
	}
	return( $cndTxt);
}
?>