<?php
if (!isset($SITE)){
	header ("Location: ../index.php");	// back to index/startpage if someone tries an
	exit;  								//  page to load without menu system//
}
$pageName		= 'wsSideColom.php';
$pageVersion	= '2.01 2013-01-31';  // for testing buttons social media
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {
	$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;
}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;;
#---------------------------------------------------------------------------
# version 2.01 2013-01-31
#---------------------------------------------------------------------------
#
#
#---------------------------------------------------------------------------
# displays left colomn with menu and/or other weatherstations and/or partners and/or eqipment in use
#---------------------------------------------------------------------------
if ($SITE['menuPlace'] 	== 'V') {   // show menu
	print '<ul id="nav">'.PHP_EOL;
	print $DropdownMenuText;
  	print "</ul><br />".PHP_EOL;	
} // end of menu
#---------------------------------------------------------------------------
if (isset ($SITE['donateButton']) 		&& $SITE['donateButton'] == true) {
	include ('_widgets/donateButton.php');
}
#--------------------------------------------insert code for facebook etc.--	
if (isset ($SITE['socialSiteSupport']) 	&& $SITE['socialSiteSupport'] == "V") {	  
?>
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style addthis_32x32_style" style="margin-left: 15px;">
<a class="addthis_button_facebook"></a>
<a class="addthis_button_twitter"></a>
<a class="addthis_button_compact"></a>
</div>
<br />
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=<?php echo $SITE['socialSiteKey'] ?>"></script>
<!-- AddThis Button END -->
<?php 
}
#---------------------------------------------------------------------------
if ($SITE['webcam'] 	== 'V' ) {  // show webcam here
echo '<p>'.langtransstr('Webcam').'</p>
	<p style="background-color: grey; border: 1px solid grey;"><a href="http://www.wunderground.com/webcams/'.$SITE['webcamID'].'/1/show.html">
	<img alt="'.langtransstr('Webcam').'" src="'.$SITE['webcamPage'].' 
	" alt="  "  /></a></p>
	<br />';
}  // end of webcam
#---------------------------------------------------------------------------
if (isset ($SITE['wrnLightning']) && $SITE['wrnLightning'] == true ) {  // show warning lightning here
echo '<p>'.langtransstr('warning for').' '.langtransstr('Thunderstorms').'</p>
	<p style="background-color: grey; border: 1px solid grey;"><a href="index.php?p=45">
	<img src="http://blitzortung.tmt.de/Images/image_b_eu.png?t='.time().'&amp;n=1334858658389" alt="blitzortung!" 
	alt="  "  />
	</a></p><br />';
}
#---------------------------------------------------------------------------
$SITE['wrnRain'] = true;
if (isset ($SITE['wrnRain']) && $SITE['wrnRain'] == true ) {  // show warning rain here
if (!isset ($wrnSide) ) {$wrnSide = 'Rain';}
echo '<p>'.langtransstr('warning for').' '.langtransstr($wrnSide).'</p>
	<p style="background-color: grey; border: 1px solid grey;"><a href="index.php?p=44">
	<img src="http://europa.buienradar.nl/images.aspx?jaar=-3&amp;voor=&amp;soort=fcmb&amp;c=&amp;n=&amp;tijdid='.time().'"
	alt="" /></a></p>
	<br />';
}
#---------------------------------------------------------------------------
if ($SITE['otherWS'] 	== 'V' ) {  // show friendly weatherstations  here
$altTxt='';
$doIcons='no';
$sideArrCoop= array();
$sideArrCoop['eerste'] = array (
	'name'	=>	"Another weather website",
	'show'	=>	'yes',
	'icon'	=>	'',
	'link'	=>	'http://www.weerstation-leuven.be/',
	'alt'	=>	$altTxt."Website van een bevriend weerstation" 
	); 
$sideArrCoop['tweede'] = array (
	'name'	=>	"And another site",
	'show'	=>	'yes',
	'icon'	=>	'',
	'link'	=>	'http://www.weerstation-leuven.be/',
	'alt'	=>	$altTxt."Website van een bevriend weerstation" 
	); 
$sideArrCoop['derde'] = array (
	'name'	=>	"Template - WeatherDisplay version",
	'show'	=>	'no',
	'icon'	=>	'',
	'link'	=>	'http://www.weerstation-leuven.be/weatherWD/',
	'alt'	=>	$altTxt."Website van een bevriend weerstation" 
	);
$headString = langtransstr('Visit our other weathersites').":</p><p>\n";
foreach ($sideArrCoop as $key => $arr) {
	if ($arr['show'] === 'yes') {
		$string= '<p>'.$headString.'<a href="'.$arr['link'].'">';				
		if ($doIcons=='yes') {
			if ($arr['icon'] <> '') {$string.='<img src="'.$arr['icon'].'" alt="'.$arr['alt'].'"/>';}
		} else {if ($arr['name'] <> '') {$string.=$arr['name'];};}
		$string.='</a></p>'."\n";
		echo $string;
		$headString='';
	}
}
echo "<br />\n";
unset ($sideArrCoop);
} // end of weatherstations
#---------------------------------------------------------------------------
if ($SITE['partners'] 	== 'V' ) {	// show other websites with our weatherdata here
include ('partners/partners.txt');
// ------------------ clear hrefs for empty id's
foreach ($arrPartners as $name => $arr) {
	if (!$arr['id'])  {
		$arrPartners[$name]['sideBar']	= false;
		$arrPartners[$name]['href'] 	= false;
	} else {
		$arrPartners[$name]['sideBar']	= true;
	}
}
$doIcons='yes';
$headString = '<p>'.langtransstr('You find our weatherinfo also at').':<br /></p>';
#'<p style="background-color: grey; border: 1px solid grey;">'.PHP_EOL;
foreach ($arrPartners as $key => $arr) {
	if ($arr['sideBar'] == true) {
		echo $headString; 
		$string = '<p style="background-color: grey; border: 1px solid grey;">'.'<a href="'.$arr['href'].'"';
		if (isset ($arr[' target']) && $arr['target'] <> '') {
		$string .= 'target="'.$arr['target'].'"';	
		}
		$string .= '>';
		if ($doIcons=='yes') {
			if (!isset ($arr['webImgSmall']))  {$img=$arr['webImg'];} 
			elseif ($arr['webImgSmall'] <> '') {$img=$arr['webImgSmall'];} else {$img=$arr['webImg'];}
			if ($img <> '') {$string.='<img src="'.$img.'"			
			title="'.$arr['webAlt'].'" alt="'.$arr['webAlt'].'"/>';}
		} else {if ($arr['name'] <> '') {$string.=$arr['name'];};}
		$string.='</a></p>'."\n";
		echo $string;
		$headString='';
	}
}
echo "<br />\n";
unset ($sideArrWeather);
} // end of other websites with our weatherdata
#---------------------------------------------------------------------------
if ($SITE['equipment'] 	== 'V' ) {	// show which equipment we use here
langtransstr('Equipment we use');
$doIcons		= true;
$doNames		= true;
$sideArrHwSw	= array();
$sideArrHwSw['station'] = array (
	'name'	=>	langtransstr('Weatherstation'),
	'show'	=>	$SITE['stationShow'],
	'icon'	=>	$SITE['stationJpg'],
	'link'	=>	$SITE['stationLink'],
	'alt'	=>	$SITE['stationTxt']);

$sideArrHwSw['program'] = array (
	'name'	=>	langtransstr('Weatherprogram'),
	'show'	=>	$SITE['WXsoftwareShow'],
	'icon'	=>	$SITE['WXsoftwareIcon'] ,
	'link'	=>	$SITE['WXsoftwareURL'],
	'alt'	=>	$SITE['WXsoftwareLongName']);

$sideArrHwSw['pc'] = array (
	'name'	=>	langtransstr('Weatherserver'),
	'show'	=>	$SITE['pcShow'],
	'icon'	=>	$SITE['pcJpg'],
	'link'	=>	$SITE['pcLink'],
	'alt'	=>	$SITE['pcTxt'] );

$sideArrHwSw['provider'] = array (
	'name'	=>	langtransstr('Provider'),
	'show'	=>	$SITE['stationShow'],
	'icon'	=>	$SITE['providerJpg'],
	'link'	=>	$SITE['providerLink'],
	'alt'	=>	$SITE['providerTxt']);

$string		= '<p style="margin: 2px 2px 10px 6px;">'.langtransstr('Equipment we use').":</p>".PHP_EOL;
foreach ($sideArrHwSw as $key => $arr) {		
	if ($arr['show'] == true) {
		$string.= '<p style="margin: 2px 2px 10px 6px;">';
		if ($arr['name'] <> '' && $doNames) {
			$string.= $arr['name'];
		}
		$string	   .='<a href="'.$arr['link'].'target="_blank">';
		$string.='<img src="'.$arr['icon'].'" title="'.$arr['alt'].'" alt="'.$arr['alt'].'"/>';
		$string.='</a></p>'.PHP_EOL;
	}
}
echo $string;
unset ($sideArrHwSw);
}
?>